package com.xkrs.utils;

/**
 * @author wudong
 * @date 2022/6/2 9:25
 * @description
 */
public class WDWxSendMsgUtil {

    /**
     * 通过udp通信，调用发送微信消息服务，发送微信消息
     *
     * @param wxid 微信id
     * @param text 信息
     * @param type 类型0：文本，1：文档
     * @throws Exception
     */
    public static void sendMsg(String wxid, String text, Integer type) throws Exception {
        String url = String.format("http://118.24.27.47:10721/winxin_api/msg?wxid=%s&text=%s&type=%s", wxid, text, type);
        WDHttpClientUtils.sendHttpPost(url);
    }

    public static void main(String[] args) throws Exception {
        sendMsg("18447024917@chatroom", "微信发消息测试", 0);
    }
}
